#! /bin/bash

# This script starts the server for openCARP
PORT=4430

# The directory being mapped to the container: note the path to this directory will not be the same in the container
HOST_DIR=/u1/jav630/Joyce-openCARP_Actors/openCARP-Actors

# The directory in the container that is being mapped to the host
CONTAINER_DIR=/code/openCARP-Actors

# This is relative the container directory. With the mapping outlined above, this config file is accessible from the host
# from /u1/jav630/Joyce-openCARP_Actors/openCARP-Actors/simulations/input/config_official.toml
# but in the container it is located at the path outlined below
#CONFIG_FILE=/code/openCARP-Actors/simulations/10x10x025-input/config_official.toml
CONFIG_FILE=/code/openCARP-Actors/simulations/10x10x1-input/config_official.toml

screen -L -Logfile 10x10x1_log-215_230ms.txt -dmS server bash -c "apptainer exec --bind $HOST_DIR:$CONTAINER_DIR openCARP-actors.sif openCARP -s -c $CONFIG_FILE -p $PORT"